# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CatmullRomInterpolatorDouble Class Reference

Interpolates `double` values using a CatmullRomInterpolator. More...

`#include <CatmullRomInterpolator.hpp>`

Inheritance diagram for vl::CatmullRomInterpolatorDouble:

List of all members.

## Public Member Functions

| CatmullRomInterpolatorDouble ()
| CatmullRomInterpolatorDouble (const std::vector< double > &path)
double | computePoint (float t) const
| Samples the interpolator at the given point.
CatmullRomInterpolatorDouble_T * | interpolator ()
const CatmullRomInterpolatorDouble_T * | interpolator () const
void | setInterpolator (CatmullRomInterpolatorDouble_T *interpolator)

## Protected Attributes

vl::ref < CatmullRomInterpolatorDouble_T > | mInterpolator

## Detailed Description

Interpolates `double` values using a CatmullRomInterpolator.

## Constructor & Destructor Documentation

vl::CatmullRomInterpolatorDouble::CatmullRomInterpolatorDouble | ( |  | ) | `[inline]`

vl::CatmullRomInterpolatorDouble::CatmullRomInterpolatorDouble | ( | const std::vector< double > & | path | ) | `[inline]`

## Member Function Documentation

double vl::CatmullRomInterpolatorDouble::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorDouble.

CatmullRomInterpolatorDouble_T* vl::CatmullRomInterpolatorDouble::interpolator | ( |  | ) | `[inline]`

const CatmullRomInterpolatorDouble_T* vl::CatmullRomInterpolatorDouble::interpolator | ( |  | ) | const`[inline]`

void vl::CatmullRomInterpolatorDouble::setInterpolator | ( | CatmullRomInterpolatorDouble_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<CatmullRomInterpolatorDouble_T> vl::CatmullRomInterpolatorDouble::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CatmullRomInterpolator.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:34 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.